# SpriteController.CountSpritesBasedOff Method
Count the number of sprites that were duplicated from the sprite with the specified name. When you use a SpriteController.DuplicateSprite(string) command, it creates a new sprite that is based off the named sprite.

SpriteLibrary

SpriteController CountSpritesBasedOff Method

Count the number of sprites that were duplicated from the sprite with the specified name. When you use a SpriteController.DuplicateSprite(string) command, it creates a new sprite that is based off the named sprite. This function will count those duplicated sprites.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public int CountSpritesBasedOff(
    	string Name
    )

#### Parameters

Name
  Type: System
  String
  The name to look for

#### Return Value

Type: Int32
The count of sprites that are duplicates of the specified name
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace